import java.io.*;
import java.util.*;
import java.awt.*;

public 
class 
Consulta 
extends Frame {

public String port;
public String host;
public String user;
public String passw;
public int nrows=0;
public int ncols=0;

public 
Consulta(String title)
{
		super(title);

		port = new String("7130");		
		host = new String("idefix");		
		user = new String("juang");		
		passw = new String("");		

		portArea = new TextField(6);
		portArea.setEditable(true);
		portArea.setText(port);
		
		hostArea = new TextField(10);
		hostArea.setEditable(true);
		hostArea.setText(host);
		
		userArea = new TextField(10);
		userArea.setEditable(true);
		userArea.setText(user);
		
		passwArea = new TextField(10);
		passwArea.setEditable(true);
		passwArea.setText(passw);
		

		inputQuery = new TextField(40);
		inputQuery.setEditable(true);
		queryDft = new String("SELECT nombre FROM clientes");
		inputQuery.setText(queryDft);

		inputSchema = new TextField(40);
		inputSchema.setEditable(true);
		schemaDft = new String("USE demo");
		inputSchema.setText(schemaDft);

		panel1 = new Panel();
		panel1.setLayout(new GridLayout(4, 2));

		label = new Label("Listening Port");
		panel1.add(label);        
		panel1.add(portArea);

		label = new Label("Host Name");
		panel1.add(label);        
		panel1.add(hostArea);

		label = new Label("User Name");
		panel1.add(label);        
		panel1.add(userArea);

		label = new Label("User Password");
		panel1.add(label);        
		panel1.add(passwArea);

		panel2 = new Panel();
		panel2.setLayout(new FlowLayout());
		label = new Label("SCHEMA");
		panel2.add(label);        
		panel2.add(inputSchema);

		panel3 = new Panel();
		panel3.setLayout(new FlowLayout());
		label = new Label("QUERY ");
		panel3.add(label);        
		panel3.add(inputQuery);

		Panel pan1 = new Panel();
		pan1.setLayout(new FlowLayout());
		Button exec_but = new Button("Execute");
		pan1.add(exec_but);

		Panel pan2 = new Panel();
		pan2.setLayout(new FlowLayout());
		Button quit_but = new Button("Quit");
		pan2.add(quit_but);

		Panel panel5 = new Panel();
		panel5.setLayout(new GridLayout(2,1));
		panel5.add(panel2);
		panel5.add(panel3);

		Panel panel4 = new Panel();
		panel4.setLayout(new FlowLayout());
		panel4.add(pan1);
		panel4.add(pan2);

		add("West", panel1);
		add("Center", panel5);
		add("South", panel4);
}

public 
boolean 
handleEvent(Event event)
{
		switch(event.id) {
		case Event.ACTION_EVENT:
			if (event.target instanceof Button) {
				if (((String)event.arg).equals("Quit")) {
					System.exit(0);
					break;
				}
				else if (((String)event.arg).equals("Execute")) {
					String result = new String();
					String header = new String();
					port = portArea.getText();
					host = hostArea.getText();
					user = userArea.getText();
					passw = passwArea.getText();
					queryDft = inputQuery.getText();
					schemaDft = inputSchema.getText();
System.err.println("__TRACE__ Consulta: 128 (new)");
					ConsulExec exc = new ConsulExec(port, host, user, passw);
					ncols = exc.execute(schemaDft, queryDft);
					header = exc.getHeaders();
     				result = exc.dispResultSet();
					nrows = exc.getNrows();
     				exc.close();
     				Frame f = new ShowResult(ncols, header, result);
					f.resize(ncols*250, nrows*22+40);
					f.pack();
					f.show();
				}
			}
			else {
				return super.handleEvent(event);
			}
			break;
		case Event.WINDOW_DESTROY:
			System.exit(0);
			break;
		default:
			return super.handleEvent(event);
		}
		return super.handleEvent(event);
}

public static 
void 
main(String args[]) 
{
		Frame f = new Consulta("Consulta 0.99");
		f.resize(400,200);
		f.pack();
		f.show();
}

private int sortType_d = 1;

private MenuBar menuBar_d;
private PCanvas drawCanvas_d;
private Scrollbar hScrollbar_d;
private Scrollbar vScrollbar_d;
private Menu mFile_d, mHelp_d;
private TextField portArea;
private TextField hostArea;
private TextField userArea;
private TextField passwArea;
private TextField inputSchema;
private TextField inputQuery;
public String schemaDft;
public String queryDft;
private FileDialog fileDialog_d;
private Label label;

private Panel panel1;
private Panel panel2;
private Panel panel3;

private Thread sortThread_d = null;
}



class 
PCanvas 
extends Canvas
{		

public 
PCanvas()
{
	super();
}

public 
void 
paint(Graphics g)
{
}
}




